Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058315 - When abstract class (or interface) is set as superclass and data modeler is saved, type from Data modeler disappears
Summary: When abstract class (or interface) is set as superclass and data modeler is s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER1
: 6.0.1
Assignee: Walter Medvedeo
QA Contact: Tomas David
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 14:15 UTC by Tomas David
Modified: 2014-08-06 19:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:58:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas David 2014-01-27 14:15:48 UTC
Description of problem:
When some existing type from Data modeler is changed (to Superclass is added some abstract class or interface), type completely disappears.

Version-Release number of selected component (if applicable):
Drools 6.0.0.CR2.

How reproducible:
Always when incorrect superclass is added.

Steps to Reproduce:
1. Create some new correct type (Authoring -> Projects authoring -> Tools -> Data Modeler -> Create). Save and close Data Modeler.
2. Add imports (Tools -> Project Editor -> Import suggesion). For example java.util.List or java.lang.Number.
3. Go back to Data modeler. Select previously created type and select Superclass (java.util.List or java.lang.Number). Save Data Modeler. Error is correctly displayed. Close and open again Data modeler.

Actual results:
Specific type disappears.

Expected results:
Type should be still there but with no superclass. (Type should not be saved with incorrect superclass.)

Additional info:

Comment 1 Walter Medvedeo 2014-02-05 16:24:21 UTC
Given that current version of the datamodeller is not a complete java ide, and we haven't implemented the hability of implementing arbitrary methods in a given abstract class or interface, etc., abstract classes, interfaces and final classes can no longer be selected as superclases. So they will not appear in the superclass selector.


The following commit implement the class filtering for the superclass selector and solves the issue.

push master URL: http://github.com/droolsjbpm/kie-wb-common/commit/5b06bf383

push 6.0.x http://github.com/droolsjbpm/kie-wb-common/commit/3f1748215

Comment 2 Tomas David 2014-02-18 11:25:37 UTC
Verified on BRMS 6.0.1.ER1.


Note You need to log in before you can comment on or make changes to this bug.